Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Trivial_Supplier_Filter Class Reference

A null filtering strategy. More...

`#include <EC_Trivial_Supplier_Filter.h>`

Inheritance diagram for TAO_EC_Trivial_Supplier_Filter

[legend]
Collaboration diagram for TAO_EC_Trivial_Supplier_Filter:

[legend]
List of all members.

## Public Methods
| TAO_EC_Trivial_Supplier_Filter (TAO_EC_Event_Channel* ec)
| Constructor.
virtual void | bind (TAO_EC_ProxyPushConsumer* consumer)
virtual void | unbind (TAO_EC_ProxyPushConsumer* consumer)
virtual void | connected (TAO_EC_ProxyPushSupplier* supplier, CORBA::Environment &env)
| Concrete implementations can use this methods to keep track of the consumers interested in this events.
virtual void | reconnected (TAO_EC_ProxyPushSupplier* supplier, CORBA::Environment &env)
virtual void | disconnected (TAO_EC_ProxyPushSupplier* supplier, CORBA::Environment &env)
virtual void | shutdown (CORBA::Environment &env)
| The event channel is shutting down.
virtual void | push (const RtecEventComm::EventSet& event, CORBA::Environment &)
| The ProxyPushConsumer delegates on this class to actually send the event.
virtual CORBA::ULong | _decr_refcnt (void)
virtual CORBA::ULong | _incr_refcnt (void)
| Increment and decrement the reference count, locking must be provided by the user.
## Private Attributes
TAO_EC_Event_Channel* | event_channel_
| The event channel, used to locate the set of consumers.

## Detailed Description

A null filtering strategy.

This strategy does no filtering, it is useful for backends of the CosEventChannel, testing and broadcasters; it uses the ConsumerAdmin to find all the consumers and pushes the event to all of them.

## Constructor & Destructor Documentation

TAO_EC_Trivial_Supplier_Filter::TAO_EC_Trivial_Supplier_Filter ( | TAO_EC_Event_Channel * ec )

| Constructor.

## Member Function Documentation

CORBA::ULong TAO_EC_Trivial_Supplier_Filter::_decr_refcnt ( | void )`[virtual]`

| Reimplemented from TAO_EC_Supplier_Filter.

CORBA::ULong TAO_EC_Trivial_Supplier_Filter::_incr_refcnt ( | void )`[virtual]`

| Increment and decrement the reference count, locking must be provided by the user. Reimplemented from TAO_EC_Supplier_Filter.

void TAO_EC_Trivial_Supplier_Filter::bind ( | TAO_EC_ProxyPushConsumer * consumer )`[virtual]`

| Whenever a ProxyPushConsumer is initialized it calls this method to inform the Supplier_Filter of its identity. Strategies that do not keep ProxyPushConsumer specific information, or that are shared between multiple ProxyPushConsumers can ignore this message. Reimplemented from TAO_EC_Supplier_Filter.

void TAO_EC_Trivial_Supplier_Filter::connected ( | TAO_EC_ProxyPushSupplier * supplier,
| CORBA::Environment & env )`[virtual]`

| Concrete implementations can use this methods to keep track of the consumers interested in this events. Reimplemented from TAO_EC_Supplier_Filter.

void TAO_EC_Trivial_Supplier_Filter::disconnected ( | TAO_EC_ProxyPushSupplier * supplier,
| CORBA::Environment & env )`[virtual]`

| Reimplemented from TAO_EC_Supplier_Filter.

void TAO_EC_Trivial_Supplier_Filter::push ( | const RtecEventComm::EventSet & event,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| The ProxyPushConsumer delegates on this class to actually send the event. Reimplemented from TAO_EC_Supplier_Filter.

void TAO_EC_Trivial_Supplier_Filter::reconnected ( | TAO_EC_ProxyPushSupplier * supplier,
| CORBA::Environment & env )`[virtual]`

| Reimplemented from TAO_EC_Supplier_Filter.

void TAO_EC_Trivial_Supplier_Filter::shutdown ( | CORBA::Environment & env )`[virtual]`

| The event channel is shutting down. Reimplemented from TAO_EC_Supplier_Filter.

void TAO_EC_Trivial_Supplier_Filter::unbind ( | TAO_EC_ProxyPushConsumer * consumer )`[virtual]`

| Wheneve a ProxyPushConsumer is about to be destroyed it calls this method to inform the Supplier_Filter that it should release any resources related to it. Supplier_Filter strategies that are bound to a particular ProxyConsumer can use this opportunity to destroy themselves; filter strategies that do not keep ProxyPushConsumer specific information can simply ignore the message. Reimplemented from TAO_EC_Supplier_Filter.

## Member Data Documentation

TAO_EC_Event_Channel * TAO_EC_Trivial_Supplier_Filter::event_channel_`[private]`

| The event channel, used to locate the set of consumers.

The documentation for this class was generated from the following files:

- EC_Trivial_Supplier_Filter.h
- EC_Trivial_Supplier_Filter.cpp